# Wallet

## Addresses

<mark style="color:blue;">`GET`</mark> `https://nodes.lto.network/wallet/addresses`

Get list of all accounts addresses in the node's wallet.

{% tabs %}
{% tab title="200 " %}

```javascript
[
  "3NBVqYXrapgJP9atQccdBPAgJPwHDKkh6A8",
  "3Mx2afTZ2KbRrLNbytyzTtXukZvqEB8SkW7"
]
```

{% endtab %}
{% endtabs %}

## Address range

<mark style="color:blue;">`GET`</mark> `https://nodes.lto.network/wallet/addresses/seq/:from/:to`

Get list of accounts addresses with indexes at this range in the node's wallet.

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| from | number |             |
| to   | number |             |

{% tabs %}
{% tab title="200 " %}

```javascript
[
  "3NBVqYXrapgJP9atQccdBPAgJPwHDKkh6A8",  
  "3Mx2afTZ2KbRrLNbytyzTtXukZvqEB8SkW7"
]
```

{% endtab %}
{% endtabs %}

## Add address

<mark style="color:green;">`POST`</mark> `https://nodes.lto.network/wallet/addresses`

Generate a new account address in the wallet.

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
|      | string |             |

#### Headers

| Name          | Type   | Description          |
| ------------- | ------ | -------------------- |
| Authorization | string | "Bearer " + API\_KEY |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "address": "3Mx2afTZ2KbRrLNbytyzTtXukZvqEB8SkW7"
}
```

{% endtab %}
{% endtabs %}

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ltonetwork.com/node/public-node/rest-api/wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
